User account creation filtered due to spam.

Bug 21841 - Documentation should say -mhp-ld/-mgnu-ld are only for hppa64-*-hpux*
Summary: Documentation should say -mhp-ld/-mgnu-ld are only for hppa64-*-hpux*
Status: RESOLVED FIXED
Alias: None
Product: gcc
Classification: Unclassified
Component: target (show other bugs)
Version: unknown
: P3 normal
Target Milestone: 4.1.0
Assignee: Not yet assigned to anyone
URL:
Keywords: documentation
Depends on:
Blocks:
 
Reported: 2005-05-31 15:41 UTC by Steve Ellcey
Modified: 2005-08-15 15:25 UTC (History)
2 users (show)

See Also:
Host:
Target: hppa64-*-hpux*
Build:
Known to work:
Known to fail:
Last reconfirmed: 2005-05-31 15:46:43


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Steve Ellcey 2005-05-31 15:41:52 UTC
The -mhp-ld switch is only recognized on hppa64*-*-* targets but that
restriction is not documented in the description for -mhp-ld in extend.texi.
Comment 1 Andrew Pinski 2005-05-31 15:46:43 UTC
Confirmed, they are only recognized on hppa64-*-hpux* targets
Comment 2 CVS Commits 2005-08-15 15:23:53 UTC
Subject: Bug 21841

CVSROOT:	/cvs/gcc
Module name:	gcc
Changes by:	sje@gcc.gnu.org	2005-08-15 15:23:40

Modified files:
	gcc            : ChangeLog 
	gcc/doc        : invoke.texi 

Log message:
	PR target/21841
	* doc/invoke.texi (-mgnu-ld): Update description.
	(-mhp-ld): Ditto.

Patches:
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/ChangeLog.diff?cvsroot=gcc&r1=2.9733&r2=2.9734
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/doc/invoke.texi.diff?cvsroot=gcc&r1=1.668&r2=1.669

Comment 3 Steve Ellcey 2005-08-15 15:25:36 UTC
Fixed on ToT for 4.1.
Comment 4 dave 2005-08-15 16:03:31 UTC
Subject: Re:  Documentation should say -mhp-ld/-mgnu-ld are only for hppa64-*-hpux*

> ------- Additional Comments From sje at cup dot hp dot com  2005-08-15 15:25 -------
> Fixed on ToT for 4.1.

It's ok to update the documentation on 3.4 and 4.0 as well.

Thanks,
Dave
Comment 5 CVS Commits 2005-08-16 20:44:00 UTC
Subject: Bug 21841

CVSROOT:	/cvs/gcc
Module name:	gcc
Branch: 	gcc-4_0-branch
Changes by:	sje@gcc.gnu.org	2005-08-16 20:43:50

Modified files:
	gcc            : ChangeLog 
	gcc/doc        : invoke.texi 

Log message:
	PR target/21841
	* doc/invoke.texi (-mgnu-ld): Update description.
	(-mhp-ld): Ditto.

Patches:
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/ChangeLog.diff?cvsroot=gcc&only_with_tag=gcc-4_0-branch&r1=2.7592.2.372&r2=2.7592.2.373
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/doc/invoke.texi.diff?cvsroot=gcc&only_with_tag=gcc-4_0-branch&r1=1.583.2.22&r2=1.583.2.23

Comment 6 CVS Commits 2005-08-16 20:46:50 UTC
Subject: Bug 21841

CVSROOT:	/cvs/gcc
Module name:	gcc
Branch: 	gcc-3_4-branch
Changes by:	sje@gcc.gnu.org	2005-08-16 20:46:42

Modified files:
	gcc            : ChangeLog 
	gcc/doc        : invoke.texi 

Log message:
	PR target/21841
	* doc/invoke.texi (-mgnu-ld): Update description.
	(-mhp-ld): Ditto.

Patches:
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/ChangeLog.diff?cvsroot=gcc&only_with_tag=gcc-3_4-branch&r1=2.2326.2.907&r2=2.2326.2.908
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/doc/invoke.texi.diff?cvsroot=gcc&only_with_tag=gcc-3_4-branch&r1=1.390.2.41&r2=1.390.2.42